# https://help.github.com/en/articles/metadata-syntax-for-github-actions
name: 'Import GPG'
description: 'GitHub Action to easily import a GPG key'
author: 'crazy-max'
branding:
  color: 'yellow'
  icon: 'lock'

inputs:
  gpg_private_key:
    description: 'GPG private key exported as an ASCII armored version or its base64 encoding'
    required: true
  passphrase:
    description: 'Passphrase of the GPG private key'
    required: false
  trust_level:
    description: "Set key's trust level"
    required: false
  git_config_global:
    description: 'Set Git config global'
    default: 'false'
    required: false
  git_user_signingkey:
    description: 'Set GPG signing keyID for this Git repository'
    default: 'false'
    required: false
  git_commit_gpgsign:
    description: 'Sign all commits automatically'
    default: 'false'
    required: false
  git_tag_gpgsign:
    description: 'Sign all tags automatically'
    default: 'false'
    required: false
  git_push_gpgsign:
    description: 'Sign all pushes automatically'
    default: 'if-asked'
    required: false
  git_committer_name:
    description: 'Commit author''s name'
    required: false
  git_committer_email:
    description: 'Commit author''s email'
    required: false
  workdir:
    description: 'Working directory (below repository root)'
    default: '.'
    required: false
  fingerprint:
    description: 'Specific fingerprint to use (subkey)'
    required: false

outputs:
  fingerprint:
    description: 'Fingerprint of the GPG key (recommended as user ID)'
  keyid:
    description: 'Low 64 bits of the X.509 certificate SHA-1 fingerprint'
  name:
    description: 'Name associated with the GPG key'
  email:
    description: 'Email address associated with the GPG key'

runs:
  using: 'node20'
  main: 'dist/index.js'
  post: 'dist/index.js'
